"use client";

import { Button } from "@mantine/core";
import { useRouter } from "next/navigation";
import { useEffect, useState } from "react";



export default function Home() {
    const[authorized,SetAuthorized] =useState<boolean|null>(null);
    const router = useRouter();

    async function handleLogout(e: React.FormEvent) {
        e.preventDefault();
        localStorage.removeItem("access_token");
        router.push("/login")
    }
    useEffect(() => {
        const token = localStorage.getItem("access_token");
        if (!token) {
            SetAuthorized(false);
            router.push("/login");
        }
        else{
            SetAuthorized(true);
        }
    }, []);
    
    if(authorized){
        return (
        <>
            <p>Welcome to IB portal</p>
            <Button onClick={handleLogout}>Logout</Button>
        </>
    );
    }
    
}
