"use client"

import React, { useState } from "react";
import { Text, Button, Paper, TextInput, MantineProvider, Image, Box, Anchor, PasswordInput, Title, Checkbox, Card, Group, Flex, Stack } from "@mantine/core";
import myImage from '@/app/image/ebanking.jpg';
import bgImage from '@/app/image/media.jpg';
import frontPage from '@/app/image/ib_front_page.jpg'
import NextImage from 'next/image';
import { Providers } from "@/app/providers";
import { useRouter } from "next/navigation";
import { notifications } from "@mantine/notifications";

export default function Login() {
    const [CIF, SetCIF] = useState('');
    const [psw, SetPsw] = useState('');
    const router = useRouter();

    async function handleLogin(e: React.FormEvent) {
        e.preventDefault();
        // const login_password =localStorage.setItem("password",psw);
        if (CIF === "30022497139" && psw === "SecurePass123!") {
            const token = "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiYWRtaW4iOnRydWUsImlhdCI6MTUxNjIzOTAyMn0.KMUFsIDTnFmyG3nMiGM6H9FNFUROf3wh7SmqJp-QV30";
            localStorage.setItem("customerNumber", CIF);
            localStorage.setItem("password", psw);
            localStorage.setItem("access_token", token);
            router.push("/home");
        }

        else {
            notifications.show({
                withBorder: true,
                color: 'red',
                title: "Wrong User Id or Password",
                message: "Wrong User Id or Password",
                autoClose: 5000,
            })
        }

    }
    return (
        <Providers>
            <div
                style={{
                    backgroundColor: "#f8f9fa",
                    padding: "20px",
                    fontFamily: "sans-serif",
                    height: '100vh',
                    // border: "solid black"
                }}
            >
                <Image
                    radius="md"
                    fit="cover"
                    src={myImage}
                    component={NextImage}
                    alt="ebanking"
                    style={{ width: "100%", height: "12%" }}
                />

                <Box style={{ width: "100%", overflow: "hidden", whiteSpace: "nowrap", padding: "8px 0" }}>
                    <Text
                        component="span"
                        style={{
                            display: "inline-block", paddingLeft: "100%", animation: "scroll-left 60s linear infinite", fontWeight: "bold", color: "#004d99"
                        }}>
                        ⚠️ Always login to our Net Banking site directly or through Banks website.
                        ⚠️ Do not disclose your User Id and Password to any third party and keep Your UserId and Password strictly confidential.
                        ⚠️ KCC Bank never asks for UserId,Passwords and Pins through email or  phone.
                        ⚠️ Be ware of Phishing mails with links to fake bank's websites asking for personal information are in circulation.
                        ⚠️ Please DO NOT Click on the links given in the emails asking for personal details like bank account number, userID and password.
                        ⚠️ If you had shared your User Id and Password through such mails or links, please change your Password immediately.
                        ⚠️ Inform the Bank/branch in which your account is maintained for resetting your password.
                    </Text>
                    <style>
                        {`
                            @keyframes scroll-left {
                                0% {
                                transform: translateX(0%);
                                }
                                100% {
                                transform: translateX(-100%);
                                }
                            }
                            `}
                    </style>
                </Box>
                <div style={{ display: "flex", height: "70vh" }}>
                    <div style={{ flex: 1, backgroundColor: "#c1e0f0", display: "flex" }}>
                        <Image
                            radius="md"
                            fit="cover"
                            src={frontPage}
                            component={NextImage}
                            alt="ebanking"
                            style={{ width: "100%", height: "100%" }}
                        />
                    </div>
                    <div style={{ flex: 1, backgroundColor: "#c1e0f0", display: "flex", justifyContent: 'center', alignItems: 'center' }}>
                        <Card shadow="lg" padding="xl" radius="md" style={{
                            width: 480, height: 400, backgroundColor: '#f0f0f0',
                            borderRadius: "12px", boxShadow: "0 2px 10px rgba(0,0,0,0.1)",
                        }}>
                            <Title order={5} style={{ marginLeft: 10 }}>Welcome To KCC Bank</Title>
                            <Title order={1} style={{ marginLeft: 10, color: "#000066" }}>Internet Banking</Title>
                            <br></br>
                            <Box style={{ width: "370px", padding: "20px", border: "1px solid #e0e0d1", marginLeft: 30 }}>
                                <Flex justify="center" gap="md" >
                                    <form onSubmit={handleLogin}>
                                        <TextInput
                                            label="User ID"
                                            placeholder="Enter your CIF no"
                                            type="numeric"
                                            maxLength={11}
                                            inputMode="numeric"
                                            pattern="\d*"
                                            value={CIF}
                                            onInput={(e) => {
                                                const input = e.currentTarget.value.replace(/\D/g, '');
                                                if (input.length <= 11) {
                                                    SetCIF(input);
                                                }
                                            }}

                                            style={{ flex: 1 }}
                                            required
                                        />
                                        <br></br>
                                        <PasswordInput
                                            label="Password"
                                            placeholder="Enter your password"
                                            value={psw}
                                            onChange={(e) => SetPsw(e.currentTarget.value)}
                                            style={{ flex: 1 }}
                                            required
                                        />
                                        {/* <br></br> */}
                                        <Button type="submit" fullWidth variant="filled" mt="md" style={{ width: 100, align: "center", marginLeft: 40 }}>Login</Button>
                                    </form>
                                </Flex>
                            </Box>
                        </Card>
                    </div>
                </div>
                <Box
                    component="footer"
                    style={{
                        width: '100%',
                        // backgroundColor: '#004d99',
                        // color: 'white',
                        textAlign: 'center',
                        padding: '10px 0',
                        position: 'fixed',
                        bottom: 0,
                        left: 0,
                        zIndex: 1000,
                        fontSize: '14px',
                    }}
                >
                    <Text>
                        © 2025 KCC Bank. All rights reserved. | <Anchor href="/disclaimer" >Disclaimer</Anchor> | <Anchor href="/privacy" >Privacy Policy</Anchor>
                    </Text>
                </Box>

            </div>
        </Providers>
    );
}